<?php
/**
 * Functions which enhance the theme by hooking into WordPress
 *
 * @package Oginer
 */

/**
 * Adds custom classes to the array of body classes.
 *
 * @param array $classes Classes for the body element.
 * @return array
 */
function oginer_body_classes( $classes ) {
	// Adds a class of hfeed to non-singular pages.
	if ( ! is_singular() ) {
		$classes[] = 'hfeed';
	}

	return $classes;
}
add_filter( 'body_class', 'oginer_body_classes' );

/**
 * Add a pingback url auto-discovery header for singularly identifiable articles.
 */
function oginer_pingback_header() {
	if ( is_singular() && pings_open() ) {
		echo '<link rel="pingback" href="', esc_url( get_bloginfo( 'pingback_url' ) ), '">';
	}
}
add_action( 'wp_head', 'oginer_pingback_header' );

function oginer_logo_link_class( $html ) {

    $html = str_replace( 'custom-logo-link', 'navbar-brand', $html );

    return $html;
}
add_filter( 'get_custom_logo', 'oginer_logo_link_class' );

function oginer_excerpt_featured( $length ) {
    if( is_admin() ){
		return;
	}
	return 30;//get_theme_mod( 'oginer_excerpt_featured', 6 );
}

function oginer_excerpt( $length ) {
	if( is_admin() ){
		return;
	}
    return 40;//get_theme_mod( 'oginer_excerpt', 6 );
}
add_filter( 'excerpt_length', 'oginer_excerpt' );